epp_HostCreateRsp (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0503.host.epp_HostCreateRsp class

### org.openrtk.idl.epp0503.host

# Class epp_HostCreateRsp

- `java.lang.Object`
- - `org.openrtk.idl.epp0503.host.epp_HostCreateRsp`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_HostCreateRsp`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements used to represent the host create response from the EPP server. Not usually instantiated by the RTK user, but rather by EPPHostCreate and retrieved using that class' getResponseData() method. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0503/host/epp_HostCreateRsp.java,v 1.2 2003/09/10 21:29:57 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:57 $

See Also:
  `EPPHostCreate`, `epp_HostCreateReq`

  ## Field Summary
  `String` | `m_creation_date` The creation date of the new host object in the registry.
  `String` | `m_name` The name of the host object in the registry.
  `epp_Response` | `m_rsp` The common and generic response element.

  ## Constructor Summary
  `epp_HostCreateRsp()` Empty constructor
  `epp_HostCreateRsp(epp_Response _m_rsp, String _m_name, String _m_creation_date)` The constructor with initializing variables.

  ## Method Summary
  `String` | `getCreationDate()` Accessor method for the creation date of the host object in the registry
  `String` | `getName()` Accessor method for the name of the host object in the registry
  `epp_Response` | `getRsp()` Accessor method for the common and generic response element.
  `void` | `setCreationDate(String value)` Accessor method for the creation date of the host object in the registry
  `void` | `setName(String value)` Accessor method for the name of the host object in the registry
  `void` | `setRsp(epp_Response value)` Accessor method for the common and generic response element.
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_creation_date

    public String m_creation_date

> The creation date of the new host object in the registry.
> See Also:
>   `setCreationDate(String)`, `getCreationDate()`

### m_name

    public String m_name

> The name of the host object in the registry.
> See Also:
>   `setName(String)`, `getName()`

### m_rsp

    public epp_Response m_rsp

> The common and generic response element.
> See Also:
>   `getRsp()`

## Constructor Details

### epp_HostCreateRsp

    public epp_HostCreateRsp()

> Empty constructor

### epp_HostCreateRsp

    public epp_HostCreateRsp(epp_Response _m_rsp,
                             String _m_name,
                             String _m_creation_date)

> The constructor with initializing variables.
> Parameters:
>   `_m_rsp` - The common and generic response element
>   `_m_name` - The name of the host object in the registry

## Method Details

### getCreationDate

    public String getCreationDate()

> Accessor method for the creation date of the host object in the registry
> Returns:
>   The host creation date
> See Also:
>   `m_name`

### getName

    public String getName()

> Accessor method for the name of the host object in the registry
> Returns:
>   The host name
> See Also:
>   `m_name`

### getRsp

    public epp_Response getRsp()

> Accessor method for the common and generic response element.
> Returns:
>   The value for the response element
> See Also:
>   `m_rsp`

### setCreationDate

    public void setCreationDate(String value)

> Accessor method for the creation date of the host object in the registry
> Parameters:
>   `value` - The host creation date
> See Also:
>   `m_creation_date`

### setName

    public void setName(String value)

> Accessor method for the name of the host object in the registry
> Parameters:
>   `value` - The host name
> See Also:
>   `m_name`

### setRsp

    public void setRsp(epp_Response value)

> Accessor method for the common and generic response element.
> Parameters:
>   `value` - The new value for the response element
> See Also:
>   `m_rsp`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS